> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update tag

> Update a Tag in the team.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples patch /tags/{tag_id}
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /tags/{tag_id}:
    patch:
      tags:
        - Tags
      summary: Update tag
      description: |
        Update a Tag in the team.
      operationId: update-tag
      parameters:
        - name: tag_id
          in: path
          required: true
          examples:
            Success:
              value: tag_XBlke2r5RyiyVpG9LPK8tWjalLL
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                    type:
                      type: string
                      enum:
                        - tags
                    attributes:
                      type: object
                      properties:
                        name:
                          type: string
                          description: Name of the Tag
                          maxLength: 40
                        description:
                          type: string
                          description: Description of the Tag
                          nullable: true
                          maxLength: 255
                        color:
                          type: string
                          default: '#ffffff'
                          description: Color of the Tag
            examples:
              Success:
                summary: Success
                value:
                  data:
                    id: tag_XBlke2r5RyiyVpG9LPK8tWjalLL
                    type: tags
                    attributes:
                      name: Tag Name
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    id:
                      type: string
                    type:
                      type: string
                      enum:
                        - tags
                    attributes:
                      type: object
                      properties:
                        name:
                          type: string
                          description: Name of the Tag
                          maxLength: 40
                        description:
                          type: string
                          description: Description of the Tag
                          nullable: true
                          maxLength: 255
                        color:
                          type: string
                          default: '#ffffff'
                          description: Color of the Tag
            examples:
              Success:
                summary: Success
                value:
                  data:
                    id: tag_XBlke2r5RyiyVpG9LPK8tWjalLL
                    type: tags
                    attributes:
                      name: Tag Name
        required: true
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: tag_XBlke2r5RyiyVpG9LPK8tWjalLL
                      type: tags
                      attributes:
                        name: Tag Name
                        slug: tag-name
                        description: Aliquam ducimus atque et.
                        color: '#73ba73'
                        team:
                          id: team_GplL3jvZnNS2BXLAmWQpf8z354ll
                          name: 633 Team
                          slug: 633-team
                          description: 633 Team
                          address: 2092 Loreta Summit, West Hershelmouth, WY 97161-6201
                          status: verified
                          currency:
                            id: cur_AW6Q2D9lqKLpr
                            code: BRL
                            name: Brazilian Real
                            currency_id: null
              schema:
                $ref: '#/components/schemas/custom_tag'
        '422':
          description: Unprocessable Entity
          content:
            application/vnd.api+json:
              examples:
                NameAlreadyTaken:
                  value:
                    errors:
                      - code: NAME_ALREADY_TAKEN
                        detail: is already taken
                        source:
                          pointer: /data/attributes/name
                NameTooSimilar:
                  value:
                    errors:
                      - code: NAME_TOO_SIMILAR
                        detail: is too similar to an existing tag name
                        source:
                          pointer: /data/attributes/name
              schema:
                $ref: '#/components/schemas/error_object'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            import latitudesh_python_sdk
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.tags.update(tag_id="tag_XBlke2r5RyiyVpG9LPK8tWjalLL", data={
                    "id": "tag_XBlke2r5RyiyVpG9LPK8tWjalLL",
                    "type": latitudesh_python_sdk.UpdateTagTagsType.TAGS,
                    "attributes": {
                        "name": "Tag Name",
                    },
                })

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Tags.Update(ctx, \"tag_XBlke2r5RyiyVpG9LPK8tWjalLL\", operations.UpdateTagTagsRequestBody{\n        Data: &operations.UpdateTagTagsData{\n            ID: latitudeshgosdk.Pointer(\"tag_XBlke2r5RyiyVpG9LPK8tWjalLL\"),\n            Type: operations.UpdateTagTagsTypeTags.ToPointer(),\n            Attributes: &operations.UpdateTagTagsAttributes{\n                Name: latitudeshgosdk.Pointer(\"Tag Name\"),\n            },\n        },\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.CustomTag != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.tags.update({
                tagId: "tag_XBlke2r5RyiyVpG9LPK8tWjalLL",
                requestBody: {
                  data: {
                    id: "tag_XBlke2r5RyiyVpG9LPK8tWjalLL",
                    type: "tags",
                    attributes: {
                      name: "Tag Name",
                    },
                  },
                },
              });

              console.log(result);
            }

            run();
components:
  schemas:
    custom_tag:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/custom_tag_data'
        meta:
          type: object
    error_object:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                nullable: true
              status:
                type: string
              title:
                type: string
              detail:
                type: string
              source:
                type: object
                properties:
                  pointer:
                    type: string
                  parameter:
                    type: string
              meta:
                type: object
    custom_tag_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - tags
        attributes:
          type: object
          properties:
            name:
              type: string
              description: Name of the Tag
            slug:
              type: string
              description: Slug of the Tag
            description:
              type: string
              description: Description of the Tag
            color:
              type: string
              description: Color of the Tag
            team:
              $ref: '#/components/schemas/team_include'
    team_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        address:
          type: string
        currency:
          type: object
        status:
          type: string
        feature_flags:
          type: array
          items:
            type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````